aboutsummaryrefslogtreecommitdiffstats
path: root/insidechroot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'insidechroot.sh')
-rw-r--r--insidechroot.sh25
1 files changed, 24 insertions, 1 deletions
diff --git a/insidechroot.sh b/insidechroot.sh
index 08eada0..35cc244 100644
--- a/insidechroot.sh
+++ b/insidechroot.sh
@@ -39,6 +39,29 @@ elif [[ "${CHAPTER}" -eq 8 ]]; then
fi
done
+elif [[ "${CHAPTER}" -eq 9 ]]; then
+
+ # Chapter 9
+ printf "%b" "\n${IWHT}============ ${IGRN}Building ${IYLW}Chapter 9${IWHT} \
+============${RST}\n"
+
+ source packageinstall.sh 9 lfs-bootscripts
+ retval=$?
+ if [[ "${retval}" -ne 0 ]]; then
+ exit 1
+ fi
+
+ printf "%b" "${GRN}Configuring network related files${RST}\n"
+ source chapter9/network.sh
+ printf "%b" "${GRN}Configuring bootscript related files${RST}\n"
+ source chapter9/bootscriptconf.sh
+ printf "%b" "${GRN}Configuring locale settings${RST}\n"
+ source chapter9/bashprofile.sh
+ printf "%b" "${GRN}Configuring inputrc${RST}\n"
+ source chapter9/inputrc.sh
+ printf "%b" "${GRN}Configuring system shells${RST}\n"
+ source chapter9/shells.sh
+
else
- printf "%b" "Do Chapter 9 and 10 stuff here.\n"
+ printf "%b" "Do Chapter 10 stuff here.\n"
fi